Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585676 - [abrt] crash in shotwell-0.5.0-1.fc13: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] crash in shotwell-0.5.0-1.fc13: Process /usr/bin/shotwell was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:7f45684d9eda6cd4538fd3af167...
:
: 593005 605618 631846 638287 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-25 10:52 EDT by Mario Chacon
Modified: 2011-06-27 11:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:52:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.69 KB, text/plain)
2010-04-25 10:52 EDT, Mario Chacon
no flags Details

  None (edit)
Description Mario Chacon 2010-04-25 10:52:23 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: shotwell file:///media/3039-3366
component: shotwell
executable: /usr/bin/shotwell
global_uuid: 7f45684d9eda6cd4538fd3af167efbe938f2102d
kernel: 2.6.33.2-57.fc13.x86_64
package: shotwell-0.5.0-1.fc13
rating: 4
reason: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

comment
-----
Error when I import pictures from my Nexus One.
salu2...
masch...

How to reproduce
-----
1.Connnect a Nexus One.
2.Open shotwell
3.Import pictures.
4.Kaboom!
Comment 1 Mario Chacon 2010-04-25 10:52:26 EDT
Created attachment 408962 [details]
File: backtrace
Comment 2 Jim Nelson 2010-05-11 18:58:24 EDT
The problem is in gPhoto2.  The Nexus One has a long filename in its filesystem that's being copied without bounds-checking into a fixed-size buffer.  I've posted a ticket for the project here:

https://sourceforge.net/tracker/?func=detail&aid=3000198&group_id=8874&atid=108874
Comment 3 Jim Nelson 2010-06-01 21:40:45 EDT
I've committed a patch to trunk which catches long filenames and skips over them before calling the gPhotos functions which perform unchecked strcpy's.  I can't reproduce the crash exactly here, but I can see in code how this *could* cause a crash.

If at all possible, please try to reproduce this by running Shotwell from trunk.  Instructions are at http://www.yorba.org/shotwell/install/#source
Comment 4 Jim Nelson 2010-06-10 17:17:35 EDT
I haven't heard back from the reporter, so I've marked this as fixed in our Trac system: http://trac.yorba.org/ticket/1851
Comment 5 Mario Chacon 2010-06-10 17:29:17 EDT
Sorry, I do not know how to compile.

Could you create an rpm, please?
Comment 6 Jim Nelson 2010-06-10 19:54:03 EDT
Unfortunately, I don't know how to do that.  Perhaps someone else can step in with a solution.

We plan on shipping 0.6. shortly, and I'm assuming that will be packaged for Fedora users soon thereafter.  If you still have the problem then, please let us know.  Thanks!
Comment 7 Karel Klíč 2010-11-09 10:16:22 EST
*** Bug 593005 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-09 10:16:27 EST
*** Bug 605618 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-09 10:16:32 EST
*** Bug 631846 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-09 10:16:37 EST
*** Bug 638287 has been marked as a duplicate of this bug. ***
Comment 11 Bug Zapper 2011-06-02 10:53:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 11:52:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.